Raspberrypi : correcteur orthographique dans texmaker

Pour texmaker, le correcteur orthographique est installé par le paquet « hunspell-fr-… ». Différents paquets sont proposés (classical, compréhensive, modern et revised). Une description des différences est disponibles en cliquant dans synaptic sur le paquet (à ne pas installer, car il constitue une dépendance) « hunspell-fr ». Je propose d’installer « hunspell-fr-modern ». Vous pouvez aussi l’installer en ligne de commande par :

sudo apt-get install hunspell-fr-modern

Il est possible qu’il vous soit demandé de désinstaller myspell-fr. Autorisez-le, puisque myspell est aujourd’hui déprécié (voir http://www.dicollecte.org/faq.php?prj=fr): Puis, il faut se rendre dans le menu « Options » de Texmaker pour « Configurer Texmaker ». Dans l’onglet « Éditeur » sous « Dictionnaire » saisissez :

/usr/share/hunspell/fr_CH.dic

et validez par OK. Peut-être faudra-t-il relancer Texmaker. Une fois cela fait, votre dictionnaire devrait être actif.

Laisser une réponse